## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.0
%bcond_without check
%bcond_with bootstrap

# https://github.com/uber-go/zap
%global goipath         go.uber.org/zap
%global forgeurl        https://github.com/uber-go/zap
Version:                1.23.0

%gometa

%global common_description %{expand:
Package Zap provides fast, structured, leveled logging.

For applications that log in the hot path, reflection-based serialization and
string formatting are prohibitively expensive - they're CPU-intensive and make
many small allocations. Put differently, using json.Marshal and fmt.Fprintf to
log tons of interface{} makes your application slow.

Zap takes a different approach. It includes a reflection-free, zero-allocation
JSON encoder, and the base Logger strives to avoid serialization overhead and
allocations wherever possible. By building the high-level SugaredLogger on that
foundation, zap lets users choose when they need to count every allocation and
when they'd prefer a more familiar, loosely typed API.}

%global golicenses      LICENSE.txt
%global godocs          CODE_OF_CONDUCT.md CONTRIBUTING.md FAQ.md\\\
                        CHANGELOG.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Blazing fast, structured, leveled logging in Go

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  golang(github.com/benbjohnson/clock)
BuildRequires:  golang(go.uber.org/atomic)
BuildRequires:  golang(go.uber.org/multierr)

%if %{without bootstrap}
%if %{with check}
# Tests
BuildRequires:  golang(github.com/apex/log)
BuildRequires:  golang(github.com/apex/log/handlers/json)
BuildRequires:  golang(github.com/go-kit/log)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/rs/zerolog)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(go.uber.org/goleak)
BuildRequires:  golang(google.golang.org/grpc/grpclog)
BuildRequires:  golang(gopkg.in/inconshreveable/log15.v2)
%endif
%endif

%description %{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
# TestStacktraceFiltersVendorZap: need go modules
for test in "TestStacktraceFiltersVendorZap" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif
%endif

%gopkgfiles

%changelog
* Mon Aug 29 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.23.0-1
- Update to 1.23.0 - Closes rhbz#1991800

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Aug 09 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.18.1-1
- Update to 1.18.1 Close: rhbz#1964878

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 06:56:14 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.16.0-1
- Update to 1.16.0
- Close: rhbz#1874720

* Fri Aug 07 17:14:44 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.15.0-1
- Update to 1.15.0

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Feb 06 22:13:19 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.13.0-1
- Update to 1.13.0

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Apr 30 14:28:29 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.10.0-1
- Release 1.10.0

* Thu Mar 14 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.9.1-1
- First package for Fedora

